# PhasicFlow: Logical Class Reference

Logical Class Reference

## Public Member Functions

| TypeInfoNV ("Logical")
| Logical ()
| Logical (bool s)
| Logical (const word &l)
| Logical (const char *ch)
| Logical (const Logical &)=default
| Logical (Logical &&)=default
Logical & | operator= (const Logical &)=default
Logical & | operator= (Logical &&)=default
Logical & | operator= (const bool &b)
bool | operator() () const
| operator bool () const
Logical | operator! () const
bool | read (iIstream &is)
bool | write (iOstream &os) const

## Static Public Member Functions

static bool | evaluteWord (const word &l, bool &b, int &yesNoSet)

## Protected Member Functions

| Logical (bool s, int yns)

## Protected Attributes

bool | s_ = false
int | yesNoSet_ = 0

## Static Protected Attributes

static const word | YesNo__ [4][2] = {{"Yes", "No"},{"on","off"},{"true","false"}, {"Ok","No"}}

## Detailed Description

Definition at line 35 of file Logical.hpp.

## Constructor & Destructor Documentation

## Logical() [1/7]

Logical | ( | bool | s,
|  | int | yns
| ) |  |

inlineexplicitprotected

Definition at line 44 of file Logical.hpp.

## Logical() [2/7]

Logical | ( |  | ) |

inline

Definition at line 55 of file Logical.hpp.

Referenced by Logical::operator!().

Here is the caller graph for this function:

## Logical() [3/7]

Logical | ( | bool | s | ) |

inlineexplicit

Definition at line 58 of file Logical.hpp.

## Logical() [4/7]

Logical | ( | const word & | l | ) |

Definition at line 27 of file Logical.cpp.

References pFlow::endl(), Logical::evaluteWord(), fatalErrorInFunction, fatalExit, Logical::s_, and Logical::yesNoSet_.

Here is the call graph for this function:

## Logical() [5/7]

Logical | ( | const char * | ch | ) |

Definition at line 37 of file Logical.cpp.

## Logical() [6/7]

Logical | ( | const Logical & |  | ) |

default

## Logical() [7/7]

Logical | ( | Logical && |  | ) |

default

## Member Function Documentation

## TypeInfoNV()

TypeInfoNV | ( | "Logical" |  | ) |

## operator=() [1/3]

Logical& operator= | ( | const Logical & |  | ) |

default

## operator=() [2/3]

Logical& operator= | ( | Logical && |  | ) |

default

## operator=() [3/3]

Logical& operator= | ( | const bool & | b | ) |

inline

Definition at line 76 of file Logical.hpp.

References Logical::s_, and Logical::yesNoSet_.

## operator()()

bool operator() | ( |  | ) | const

inline

Definition at line 83 of file Logical.hpp.

References Logical::s_.

## operator bool()

operator bool | ( |  | ) | const

inlineexplicit

Definition at line 88 of file Logical.hpp.

References Logical::s_.

## operator!()

Logical operator! | ( |  | ) | const

inline

Definition at line 93 of file Logical.hpp.

References Logical::Logical(), Logical::s_, and Logical::yesNoSet_.

Here is the call graph for this function:

## read()

bool read | ( | iIstream & | is | ) |

Definition at line 65 of file Logical.cpp.

References token::good(), ioErrorInFile, token::isString(), token::isWord(), IOstream::lineNumber(), IOstream::name(), IOstream::setBad(), token::stringToken(), and token::wordToken().

Referenced by pFlow::operator>>().

Here is the call graph for this function:
Here is the caller graph for this function:

## write()

bool write | ( | iOstream & | os | ) | const

Definition at line 98 of file Logical.cpp.

References IOstream::check(), and FUNCTION_NAME.

Referenced by pFlow::operator<<().

Here is the call graph for this function:
Here is the caller graph for this function:

## evaluteWord()

bool evaluteWord | ( | const word & | l,
|  | bool & | b,
|  | int & | yesNoSet
| ) |  |

static

Definition at line 42 of file Logical.cpp.

References pFlow::toUpper().

Referenced by Logical::Logical().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## s_

bool s_ = false

protected

Definition at line 38 of file Logical.hpp.

Referenced by Logical::Logical(), Logical::operator bool(), Logical::operator!(), Logical::operator()(), and Logical::operator=().

## yesNoSet_

int yesNoSet_ = 0

protected

Definition at line 40 of file Logical.hpp.

Referenced by Logical::Logical(), Logical::operator!(), and Logical::operator=().

## YesNo__

const word YesNo__[4][2] = {{"Yes", "No"},{"on","off"},{"true","false"}, {"Ok","No"}}

inlinestaticprotected

Definition at line 42 of file Logical.hpp.

The documentation for this class was generated from the following files:

- src/phasicFlow/types/basicTypes/Logical.hpp
- src/phasicFlow/types/basicTypes/Logical.cpp